Package Details: libgccjit 11.1.0-1

Git Clone URL: https://aur.archlinux.org/libgccjit.git (read-only, click to copy)
Package Base: libgccjit
Description: Just-In-Time Compilation using GCC.
Upstream URL: https://gcc.gnu.org/wiki/JIT
Licenses: GPL3
Submitter: rubdos
Maintainer: flatwhatson (ZenTauro)
Last Packager: flatwhatson
Votes: 25
Popularity: 1.30
First Submitted: 2015-10-20 13:34
Last Updated: 2021-05-17 10:16

Pinned Comments

flatwhatson commented on 2021-05-17 22:01

NOTE: This package depends on gcc-libs=11.1.0, which presents a problem when upgrading from gcc-10.2.0.

The straightforward solution is to remove libgccjit and its dependees, update gcc, then rebuild and reinstall libgccjit and its dependees:

pacman -Rcs libgccjit
pacman -Syu
cd libgccjit && makepkg -si
# repeat for emacs-git etc.

You may be able to skip the uninstall step using --nodeps or --assume-installed flags. Obviously if using an AUR helper then your build/install commands will be a little different.

If the build is failing and you would like some help, please run makepkg --log and upload the entire build log somewhere. Pasting the last few lines of "make" output is useless, the actual error is usually far above in the log.

Latest Comments

« First ‹ Previous ... 2 3 4 5 6 7

rubdos commented on 2018-02-20 14:11

Updated to 7.3; please retry :-)

basemax commented on 2018-02-20 13:54

Bug in installing , installing libgccjit at the yaourt require gcc7.1. but gcc7.1 have a bug at installing.

https://gcc.gnu.org/bugzilla/show_bug.cgi?id=81712

so gcc7.1 not intsalled. and libgccjit not installed.